Index: /contrib/Resources/inc/class.uiresources.inc.php
===================================================================
--- /contrib/Resources/inc/class.uiresources.inc.php	(revision 3524)
+++ /contrib/Resources/inc/class.uiresources.inc.php	(revision 4362)
@@ -37,4 +37,6 @@
 		'footer' => True			
 		);
+
+
 
 
@@ -135,6 +137,10 @@
 		function uiresources()
 		{
-
-
+			$localtime = $GLOBALS['phpgw']->datetime->users_localtime;
+
+					$this->year = date('Y',$localtime);
+					$this->month = date('m',$localtime);
+					$this->day = date('d',$localtime);
+			$this->today = date('Ymd',$GLOBALS['phpgw']->datetime->users_localtime);
 
 
@@ -954,4 +960,5 @@
 'accionmodificar'	=>'index.php?menuaction=resources.uiresources.edit&id='. $data['id'],
 'accionlistar'	=>'index.php?menuaction=resources.uiresources.search2&id='.  $data['name'],
+				
 'accionborrar'	=>'index.php?menuaction=resources.uiresources.delete&id='. $data['id'],
 'accionreservar'	=>'index.php?menuaction=calendar.uicalendar.add&location='. $data['name']
@@ -985,5 +992,5 @@
 	//		}
 
-			$sql = 'select t1.*,t2.cat_name from   phpgw_resources t1 ,phpgw_categories t2 where t1.cat_id=t2.cat_id '
+			$sql = "select t1.*,t2.cat_name from   phpgw_resources t1 ,phpgw_categories t2 where t1.cat_id=t2.cat_id and t1.name !='n/a'"
 					. $from;
 					//.$search;
@@ -1452,4 +1459,263 @@
 
 //print_r($_REQUEST); 
+$this->today = date('Ymd',$GLOBALS['phpgw']->datetime->users_localtime);
+
+
+
+			$jscal = CreateObject('phpgwapi.jscalendar');	// before phpgw_header() !!!
+
+			unset($GLOBALS['phpgw_info']['flags']['noheader']);
+			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['resources']['title'].' - '.lang('Search Results');
+			$GLOBALS['phpgw']->common->phpgw_header();
+
+			$error = '';
+
+
+
+			$matches = 0;
+
+//echo "aaaaa".$GLOBALS['phpgw']->common->show_date(1288884600);
+
+//echo "aaaaa".$GLOBALS['phpgw']->common->show_date(1288886400);
+
+if (isset($_REQUEST['fecha'])){
+list($dia,$mes,$ano)=split("/",$_REQUEST['fecha']);
+if (isset($_REQUEST['fecha2'])){
+list($dia2,$mes2,$ano2)=split("/",$_REQUEST['fecha2']);
+}else{
+	list($dia2,$mes2,$ano2)=split("/",$_REQUEST['fecha']);
+	
+}
+if(isset($_REQUEST['hora'])){
+list($horai,$minutoi,$horaf,$minutof)=split(":",$_REQUEST['hora']);
+}else{
+	$horai=0;
+	$minutoi=0;
+	$horaf=23;
+	$minutof=59;
+}
+	$starttimea = $this->bo->maketime2(0,0,0,$dia,$mes,$ano,'am') - $GLOBALS['phpgw']->datetime->tz_offset;
+
+
+}else{
+	$localtime = $GLOBALS['phpgw']->datetime->users_localtime;
+	$ano = date('Y',$localtime);
+	$mes = date('m',$localtime);
+	$dia = date('d',$localtime);					
+	$ano2 = date('Y',$localtime);
+	$mes2 = date('m',$localtime);
+	$dia2 = date('d',$localtime);
+	$horai=0;
+	$minutoi=0;
+	$horaf=23;
+	$minutof=59;
+
+//$starttime = $this->bo->maketime2(0,0,0,$dia,$mes,$ano,'am') - $GLOBALS['phpgw']->datetime->tz_offset;
+///echo $starttime;
+//$starttime2 = $this->bo->maketime2(23,59,59,$dia,$mes,$ano,'pm') - $GLOBALS['phpgw']->datetime->tz_offset;
+///echo $starttime2;
+
+}
+
+
+
+$pm='pm';
+if($horaf<12){
+	$pm='am';
+}else{
+	$horaf=$horaf-12;
+}
+$am='am';
+if($horai>11){
+	$am='pm';
+	$horai=$horai-12;
+	
+}
+
+
+//echo $horai."  <br>  ".$starttimea."<br>".$horaf;
+	$starttime = $this->bo->maketime2($horai,$minutoi,0,$dia,$mes,$ano,$am) - $GLOBALS['phpgw']->datetime->tz_offset;
+//echo "fff".$starttime;
+$starttime2 = $this->bo->maketime2($horaf,$minutof,59,$dia2,$mes2,$ano2,$pm) - $GLOBALS['phpgw']->datetime->tz_offset;
+///echo $starttime2;
+		//$event = $this->bo->read_entry($res_id);	
+$location='';
+if($_GET['id']!=''){
+$location=$_GET['id'];}else{
+$location='n/a';}
+
+/*$eventtt=$this->bo->store_to_cache(
+				Array(
+					'syear'  => $ano,
+					'smonth' => $mes,
+					'sday'   => $dia,
+				'shour'   => $horai,
+				'smin'   => $minutoi,
+					'eyear'  => $ano,
+					'emonth' => $mes,
+					'eday'   => $dia,
+				'fhour'   => $horaf,
+				'fmin'   => $minutof,
+'location'	=>	$location
+				)
+			);	*/
+		$date_to_eval = sprintf("%04d%02d%02d",$ano,$mes,$dia);
+		
+	//	echo "date _to _eval".$date_to_eval."<br>";
+//$events = $this->bo->cached_events[$date_to_eval];//(5,23,0,22,10,2010) 
+$events=$this->bo->overlap($starttime,$starttime2,Array(),0,0,'False',$location);
+				print_debug('Date',$date_to_eval);
+				print_debug('Count',count($events));
+//echo "llll<br>".'Date'.$date_to_eval;
+//echo "llll<br>".'Count'.count($events);
+if(count($events)>0){
+				foreach($events as $event)
+				{
+					if ($this->bo->rejected_no_show($event))
+					{
+						continue;	// user does not want to see rejected events
+					}
+					if ($event['recur_type'])	// calculate start- + end-datetime for recuring events
+					{
+						$this->bo->set_recur_date($event,$date_to_eval);
+					}
+					//$events_to_show[] = array(
+					//	'starttime' => $this->bo->maketime($event['start']),
+					//	'endtime'   => $this->bo->maketime($event['end']),
+					//	'content'   => $this->link_to_entry($event,$mes,$dia,$ano)
+					//);
+
+				}
+}
+//echo "eeeevento".count($event)."<br>";
+			$date_to_eval = sprintf("%04d%02d%02d",$ano,$mes,$dia);
+
+//$event = $this->get_event_ids2($_REQUEST['id'],$starttime,$starttime2);
+
+
+			//$event_ids = $this->bo->search_keywords($_POST['keywords']);
+
+			
+			$matches = count($event);
+
+//echo "matches" . $matches."<br>";
+
+			if ($matches == 1)
+			{
+				$quantity = lang('1 match found').'.';
+			}
+			elseif ($matches > 0)
+			{
+				$quantity = lang('%1 matches found',$matches).'.';
+			}
+			else
+			{
+				echo lang('no matches found')." para el ".$dia."/".$mes."/".$ano."  en la sala:".$location;
+				
+				//return;
+			}
+
+			if ($matches > 0){
+			$p = $GLOBALS['phpgw']->template;
+			$p->set_file(
+				Array(
+					'search_form'	=> 'search2.tpl'
+				)
+			);
+			
+		}else{
+			$p = $GLOBALS['phpgw']->template;
+			$p->set_file(
+				Array(
+					'search_form'	=> 'search3.tpl'
+				)
+			);
+		}
+		$p->set_block('search_form','search','search');
+			$p->set_block('search_form','search_list_header','search_list_header');
+			$p->set_block('search_form','search_list','search_list');
+			$p->set_block('search_form','search_list_footer','search_list_footer');
+
+$script='';
+
+		
+
+			if($matches > 0)
+			{
+				$p->parse('rows','search_list_header',True);
+			}
+
+//if($info){
+//echo $matches;
+//for($i=0;$i<$matches;$i++)
+		//	{
+//echo "i".$i;
+if(count($events)>0){
+			foreach($events  as $id => $data)
+			{
+
+//echo "<br>dataaaa".$data['title'];
+//echo "<br>".$this->get_account_name($data['owner'],'gecos')."  ".$data['owner'];
+				$datetime = $this->bo->maketime($event['start']) - $GLOBALS['phpgw']->datetime->tz_offset;
+
+
+
+//echo "ffffffeeecha".$GLOBALS['phpgw']->common->show_date($data[$i]['datetime'])."     ".$data[$i]['start']."  ".$this->bo->maketime($data[$i]['start']);
+//echo $data['location']."  .. ".$data['last_status']."  .. ".$data['is_public'];
+if($data['public']==1){
+	$descripcion=$data['description'];
+	$name=$data['title'];
+}else{
+	$descripcion='-';
+	$name='Privado';
+}
+$dueno=$this->get_account_name($data['owner'],'gecos');
+				$info = array(
+					'tr_color'	=> $GLOBALS['phpgw']->nextmatchs->alternate_row_color(),
+					'date'		=> $GLOBALS['phpgw']->common->show_date($datetime),
+'id'    => $data['id'],
+					'name'         => $name,
+					'description'         => $descripcion,
+					'location'         =>$data['location'],
+				
+					'owner'=>$this->get_account_name($data['owner'],'gecos'),
+					'fecha'=> $dia."/".$mes."/".$ano." <br>   ".$GLOBALS['phpgw']->common->show_hour($this->bo->maketime($data['start']))."-".$GLOBALS['phpgw']->common->show_hour($this->bo->maketime($data['end'])),
+					'priority'=>'',
+					'ispublic'=>$data['is_public'],
+
+'accionmodificar'	=>'index.php?menuaction=resources.uiresources.edit&id='. $data['id'],
+'accionlistar'	=>'index.php?menuaction=resources.uiresources.search2&id='. $data['id'],
+'accionborrar'	=>$data['id'],
+'accionreservar'	=>'index.php?menuaction=calendar.uicalendar.add&location='. $data['id']
+				);
+
+
+
+//'accionagregar'	=>'index.php?menuaction=resources.uiresources.edit&parent='. $data['id']
+$p->set_var($info);
+				$p->set_var($info);
+				$p->parse('rows','search_list',True);
+			}
+//}
+//	}
+}
+			if($matches > 0)
+			{
+				$p->parse('rows','search_list_footer',True);
+			}
+
+			$p->pparse('out','search');
+		}
+
+		
+	
+		
+		
+		
+	function search22()
+		{
+
+//print_r($_REQUEST); 
 
 			$jscal = CreateObject('phpgwapi.jscalendar');	// before phpgw_header() !!!
@@ -1568,11 +1834,11 @@
 		}
 
-
-
-
+	
 function get_event_ids2($idd,$starttime,$starttime2)
 		{
-////echo "tamannn".count($search)."  ".$search[0];
-
+
+
+
+$from ="";
 $from ="";
 if (isset($idd)){
@@ -1582,7 +1848,9 @@
 
 if (isset($starttime)){
+
+			$from =$from .' and t1.datetime>=\''.$starttime.'\'';
 if (isset($starttime2)){
 
-			$from =$from .' and t1.datetime>=\''.$starttime.'\' and t1.datetime<=\''.$starttime2.'\' ';
+			$from =$from .'  and t1.datetime<=\''.$starttime2.'\' ';
 }
 			}
@@ -1601,4 +1869,5 @@
 
 
+//echo $sql;
 
 
@@ -1638,5 +1907,4 @@
 				);
 
-
 			}
 		
@@ -1646,4 +1914,173 @@
 			return $retval;
 		}
+function link_to_entry($event,$month,$day,$year)
+		{
+			$str = '';
+			$is_private = !$event['public'] && !$this->bo->check_perms(PHPGW_ACL_READ,$event);
+			$viewable = !$this->bo->printer_friendly && $this->bo->check_perms(PHPGW_ACL_READ,$event);
+
+			$starttime = $this->bo->maketime($event['start']) - $GLOBALS['phpgw']->datetime->tz_offset;
+			$endtime = $this->bo->maketime($event['end']) - $GLOBALS['phpgw']->datetime->tz_offset;
+			$rawdate = mktime(0,0,0,$month,$day,$year);
+			$rawdate_offset = $rawdate - $GLOBALS['phpgw']->datetime->tz_offset;
+			$nextday = mktime(0,0,0,$month,$day + 1,$year) - $GLOBALS['phpgw']->datetime->tz_offset;
+			if ((int)$GLOBALS['phpgw']->common->show_date($starttime,'Hi') && $starttime == $endtime)
+			{
+				$time = $GLOBALS['phpgw']->common->show_date($starttime,$this->bo->users_timeformat);
+			}
+			elseif ($starttime <= $rawdate_offset && $endtime >= $nextday - 60)
+			{
+				$time = '[ '.lang('All Day').' ]';
+			}
+			elseif ((int)$GLOBALS['phpgw']->common->show_date($starttime,'Hi') || $starttime != $endtime)
+			{
+				if($starttime < $rawdate_offset && $event['recur_type'] == MCAL_RECUR_NONE)
+				{
+					$start_time = $GLOBALS['phpgw']->common->show_date($rawdate_offset,$this->bo->users_timeformat);
+				}
+				else
+				{
+					$start_time = $GLOBALS['phpgw']->common->show_date($starttime,$this->bo->users_timeformat);
+				}
+
+				if($endtime >= ($rawdate_offset + 86400))
+				{
+					$end_time = $GLOBALS['phpgw']->common->show_date(mktime(23,59,59,$month,$day,$year) - $GLOBALS['phpgw']->datetime->tz_offset,$this->bo->users_timeformat);
+				}
+				else
+				{
+					$end_time = $GLOBALS['phpgw']->common->show_date($endtime,$this->bo->users_timeformat);
+				}
+				$time = $start_time.'-'.$end_time;
+			}
+			else
+			{
+				$time = '';
+			}
+			
+			$texttitle = $texttime = $textdesc = $textlocation = $textstatus = '';
+
+			
+			
+			if(!$is_private)
+			{
+				//$text .= $this->bo->display_status($event['users_status']);
+				
+				// split text for better display by templates, also see $texttime $texttitle $textdesc $textlocation	
+				$textstatus=$this->bo->display_status($event['users_status']); 
+				
+			}
+
+			/*
+			$text = '<nobr>&nbsp;'.$time.'&nbsp;</nobr> '.$this->bo->get_short_field($event,$is_private,'title').$text.
+				(!$is_private && $event['description'] ? ': <i>'.$this->bo->get_short_field($event,$is_private,'description').'</i>':'').
+				$GLOBALS['phpgw']->browser->br;
+			*/
+			
+			$texttime=$time;
+			$texttitle=$this->bo->get_short_field($event,$is_private,'title');
+			$textdesc=(!$is_private && $event['description'] ? $this->bo->get_short_field($event,$is_private,'description'):'');
+			// added $textlocation but this must be activated in the actual pict_link.tpl file of the used template set
+			$textlocation=$this->bo->get_short_field($event,$is_private,'location');
+
+			if ($viewable)
+			{
+				$date = sprintf('%04d%02d%02d',$year,$month,$day);
+				$this->link_tpl->set_var('link_link',$this->page('view','&cal_id='.$event['id'].'&date='.$date));
+				$this->link_tpl->set_var('lang_view',lang('View this entry'));
+				$this->link_tpl->set_var('desc', $textdesc);
+				$this->link_tpl->set_var('location', $textlocation);
+				$this->link_tpl->parse('picture','link_open',True);
+			}
+			if (!$is_private)
+			{
+				if($event['priority'] == 3)
+				{
+					$picture[] = Array(
+						'pict'	=> $GLOBALS['phpgw']->common->image('calendar','high'),
+						'width'	=> 16,
+						'height'=> 16,
+						'title' => lang('high priority')
+					);
+				}
+				if($event['recur_type'] == MCAL_RECUR_NONE)
+				{
+					$picture[] = Array(
+						'pict'	=> $GLOBALS['phpgw']->common->image('calendar','circle'),
+						'width'	=> 9,
+						'height'=> 9,
+						'title' => lang('single event')
+					);
+				}
+				else
+				{
+					$picture[] = Array(
+						'pict'	=> $GLOBALS['phpgw']->common->image('calendar','recur'),
+						'width'	=> 12,
+						'height'=> 12,
+						'title' => lang('recurring event')
+					);
+				}
+			}
+			
+			if($event['public'] == 0)
+			{
+				$picture[] = Array(
+					'pict'	=> $GLOBALS['phpgw']->common->image('calendar','private'),
+					'width'	=> 13,
+					'height'=> 13,
+					'title' => lang('private')
+				);
+			}
+		/**	if(@isset($event['alarm']) && count($event['alarm']) >= 1 && !$is_private)
+			{
+				// if the alarm is to go off the day before the event
+				// the icon does not show up because of 'alarm_today'
+				// - TOM
+				if($this->bo->alarm_today($event,$rawdate_offset,$starttime))
+				{
+					$picture[] = Array(
+						'pict'  => $GLOBALS['phpgw']->common->image('calendar','alarm'),
+						'width' => 13,
+						'height'=> 13,
+						'title' => lang('alarm')
+					);
+				}
+			}*/
+
+			$description = $this->bo->get_short_field($event,$is_private,'description');
+			for($i=0;$i<count($picture);$i++)
+			{
+				$var = Array(
+					'pic_image' => $picture[$i]['pict'],
+					'width'     => $picture[$i]['width'],
+					'height'    => $picture[$i]['height'],
+					'title'     => $picture[$i]['title']
+				);
+				$this->output_template_array($this->link_tpl,'picture','pict',$var);
+			}
+			if ($texttitle)
+			{
+				$var = Array(
+			//		'text' => $text,
+					'time'=> $texttime,
+					'title'=> $texttitle,
+					'users_status'=>$textstatus,
+					'desc'=> $textdesc,
+					'location'=> "<br><b>Local:</b> ".$textlocation
+				);
+				$this->output_template_array($this->link_tpl,'picture','link_text',$var);
+			}
+
+			if ($viewable)
+			{
+				$this->link_tpl->parse('picture','link_close',True);
+			}
+			$str = $this->link_tpl->fp('out','link_pict');
+			$this->link_tpl->set_var('picture','');
+			$this->link_tpl->set_var('out','');
+//			unset($p);
+			return $str;
+		}
 
 
Index: /contrib/Resources/inc/class.soresources.inc.php
===================================================================
--- /contrib/Resources/inc/class.soresources.inc.php	(revision 3524)
+++ /contrib/Resources/inc/class.soresources.inc.php	(revision 4362)
@@ -49,5 +49,6 @@
 				echo '<!-- SO cat_id : '.$this->cat_id.' -->'."\n";
 			}
-			$this->cal = CreateObject('infolog.soinfolog_');
+		//	$this->cal = CreateObject('infolog.soinfolog_');
+			$this->cal = CreateObject('calendar.socalendar_');
 			//$this->open_box($this->owner);
 		}
@@ -76,4 +77,9 @@
 		}
 
+	function read_entry2($id)
+		{
+			return $this->cal->fetch_event($id);
+		}
+		
 		function list_events($startYear,$startMonth,$startDay,$endYear=0,$endMonth=0,$endDay=0,$owner_id=0)
 		{
@@ -427,4 +433,33 @@
 			$this->cal->set_recur_yearly($year,$month,$day,$interval);
 		}
+function list_eventsa($startYear,$startMonth,$startDay,$endYear=0,$endMonth=0,$endDay=0,$owner_id=0,$location='n/a')
+		{
+
+			$extra = '';
+			$extra .= (strpos($this->filter,'private')?'AND phpgw_cal.is_public=0 ':'');
+			//$extra .= ($this->cat_id?"AND phpgw_cal.category like '%".$this->cat_id."%' ":'');
+			if ($this->cat_id)
+			{
+				if (!is_object($GLOBALS['phpgw']->categories))
+				{
+					$GLOBALS['phpgw']->categories = CreateObject('phpgwapi.categories');
+				}
+				$cats = $GLOBALS['phpgw']->categories->return_all_children($this->cat_id);
+				$extra .= "AND (phpgw_cal.category".(count($cats) > 1 ? " IN ('".implode("','",$cats)."')" : '=\''.(int)$this->cat_id."'");
+				foreach($cats as $cat)
+				{
+					$extra .= " OR phpgw_cal.category LIKE '$cat,%' OR phpgw_cal.category LIKE '%,$cat,%' OR phpgw_cal.category LIKE '%,$cat'";
+				}
+				$extra .= ') ';
+			}
+			if($owner_id)
+			{
+				return $this->cal->list_events($startYear,$startMonth,$startDay,$endYear,$endMonth,$endDay,$extra,$GLOBALS['phpgw']->datetime->tz_offset,$owner_id,$location);
+			}
+			else
+			{
+				return $this->cal->list_events($startYear,$startMonth,$startDay,$endYear,$endMonth,$endDay,$extra,$GLOBALS['phpgw']->datetime->tz_offset);
+			}
+		}
 		
 		/* End mcal equiv functions */
